# Home Television Setup
Currently we use the Amazon Fire TV, a microcomputer designed to be a digital media player.  We purchased the device in April 2nd 2014 and used it for several months but had an issue where the audio would stutter.  On Amazon's recommendation we ordered a new device that August and returned the device we originally purchased.  This first generation Amazon Fire TV is the device that we currently have in our livingroom connected to our TV.

I noticed that the AC adapter had a 16Watt output of 6.25Vdc at 2.5A.  Actually I kind of remember it being 35Watts at 5.6 Amperes.  I am not sure.  Anywas it seemed like the Fire TV did not automatically go to sleep.  In the past I would use it to proof sourdough.  We were having power issues in the house and I was watching the power consumption at the electric company's meter.  I randomly decided, hey we should put the Fire TV to sleep.  And then the display should turn off as well.  Then I started going down this rabbit hole only to find out later that even when you put the Amazon Fire TV it still uses just as much as if it was awake.

Turning off the display using HDMI CEC was out of the question because both the display and the Fire TV do not support the communication.  So if the Fire TV was to be put to sleep it needed to be signaled separately from the display.  Previously we would only turn off the display at the end of the night and using two remotes to power the display and the Fire TV Remote to navigate Netflix and YouTube was needed.  But adding the requirement to put the Fire TV to sleep and then power down the display seemed too annoying.  Instead we would just put the Fire TV to sleep and then the display should be turned off automatically.  The display did have an auto off feature, but it required ten minutes before it would activate.  In addition it would not auto wake.

Detecting the power usage was initially done randomly with a ferrite torrid that had a slot cut into it for a hall effect sensor.  I wound about 30 wraps of enamled copper wire and was able to detect the power usage from the Fire TV.  It was not very sensitive and it looked like it only used power intermittently.  The hall effect sensor that I used had a digital output that contained a Schmitt trigger.  So using that I wrote the software for the AVR ATTiny85 microcontroller.  I needed the MCU because I needed to filter the power consumption over several seconds to determine if power was being used or not.  In addition the MCU was used to transmit the NEC coded IR signal to the LG projector display.  This needed to be encoded so the MCU was necessary.

After some research I found that this project was mostly just going to be a learning exercise.  After reading the manual I found that there should be a LED on the front of the Fire TV that is lit when awake and off when sleeping.  The sleep power is 2 Watts and only 3 Watts when powered on.  So the power savings is 1 Watt.  In the end there is one benefit, and that is that the LG projector remote has been replaced with by the MCU and its IR emitter.

```
+-------------------------------------------------+   +-----------------+
|                                                 |   |                 |
|    120" EliteScreen 16:9                        |   |  6.25V DC       |
|    Projector Screen                             |   |  Power Adapter  |
|                                                 |   |                 |
|                                                 |   +-+---------------+
|                                                 |     |
|                                                 |     |
|                                                 |     |
|                                                 |     |
|                                                 |     |
|                                                 |     |   hall effect sensor
|                                                 |     |   connected here
+--------------------------------------+----------+     |   uses IR emitter
                                       ^                |   to signal display
                                       |                |
+-------------------+       +----------+-------+        |
|                   |       |                  |        |
|  Stereo Speakers  |       |   LG Projector   |        |
|                   |       |                  |        |
+---------+---------+       +----------+-------+        v
          ^                            ^              +-+------------+
          |                            |              |              |
          |                            |              |  Amazon      |
          |                            |              |  Fire        |
+---------+------------------+         |              |  TV  fisrt   |
|                            |         |              |  generation  |
|  Miniature 15W Amplifier   |         |              |              |
|                            |         |              +---+----------+
+----------------------+-----+         |                  |
                       ^               |                  |
                       |               |                  |
                       |               |                  v
                   +---+---------------+----+         +---+----------------+
                   |                        |         |                    |
                   |   HDMI Audio Splitter  +<--------+  HDMI HDCP Removal |
                   |                        |         |                    |
                   +------------------------+         +--------------------+

```

# Amazon Fire TV (first generation) 2014 April 2nd
| Notes                                  | Amperes | Watts | Faux Resistor |
| -------------------------------------- | ------- | ----- | ------------- |
| prototype 30-wrap unstable output      | 0.069   |       | 90 Ohms       |
| prototype 30-wrap stable output (off)  | 0.062   |       | 100 Ohms      |
| measured Fire while sleeping high      | 0.31    |       |               |
| measured Fire while sleeping mean      | 0.26    |       |               |
| measured Netflix paused                | 0.35    |       |               |
| measured Netflix playing low           | 0.4     |       |               |
| measured Netflix playing high          | 0.49    |       |               |
| internet research Fire sleep           | 0.32    | 2     | 19.5 Ohms     |
| internet research Fire menu            | 0.48    | 3     | 13.02 Ohms    |
| internet research Fire media           |         | 4     |               |

## Load Resistors
To get a faux Fire TV load at 19.5 Ohms use a 20 Ohms with parallel 820 Ohms gives 19.52 Ohms.
For a load at 13.1 Ohms use 20 Ohms parallel to 38 Ohms.
![resistors](images/IMG_20201125_152921.jpg)

# Fire TV Remote Control
The remote control signals using bluetooth so it is not reasonable to send signals directly to the display.  Amazon did eventually release a remote control that can signal IR Receivers but I assume it is not very good.  I think the purpose was just to control the volume.  I noticed weird power consumption when picking up the remote control.  Turns out that it has an integrated 3D Accelorometer.  The Fire TV Remote monitors if it is being handled using Bosch's BMA150 sensor and then reports that information back to Amazon.  Creepy.

# The End?
Halfway through this project I found that the Amazon Fire was waking up whenevery I touched the remote and at 7:00AM in the morning.  It was still sleeping, but it was pulling the same power as when awake.  I guess that it is downloading updates and communicating with the Amazon servers.  Unfortunatly if I was to try to filter these events the user experience would degrade by that much, or I would need to add some type of timekeeping hardware to keep track of the Fire TV update schedule.  In addition I found that even with the more sensitive hall effect sensor and more wraps on the toroid that the power consumption was very noisy.  This kind of makes sense.  There really is no guarentee that the monitored device will handle power consumption in any specific way.  I was seeing the schmitt trigger switch tens to thounsands of times per second.  Usually the trigger, even when triggering thousands of times per second, would mostly be in the off position.  At this point I kind of gave in and switched to a different monitoring strategy.  Instead I will just monitor the LED on the front of the FireTV.  The manual for the device claims that this LED indicates if the FireTV is awake or sleeping.
